@import "./mixins";
@import "./variables";

.nav {
  display: flex;
  justify-content: flex-end;
  position: relative;

  @media (min-width: $width-768) {
    justify-content: center;
  }
}

.nav__menu {
  margin-top: 27px;
  display: none;
  gap: 34px;

  @media (min-width: $width-768) {
    display: flex;
    justify-content: space-between;
  }
}

.nav__menu-link {
@include font-s11-lh22;
  text-transform: uppercase;
  text-decoration: none;
  color: $grey_xl;

  &:hover {
    color: $drop-menu-hover;
  }
}

.nav__menu-button-list{
  display: flex;

  @media (min-width: $width-768) {
    display: none;
  }
}

.nav__menu-item {
  display: flex;
}

.nav__drop-menu {
  position: absolute;
  top: 100%;
  width: 152px;
}

.nav__drop-menu-item {
  text-transform: uppercase;
  background: $grey_s;
}

.nav__drop-menu-link {
  @include font-s11-lh22;
  display: block;
  height: 100%;
  width: 100%;
  padding: 6px 14px 8px 30px;
  text-decoration: none;
  color: $grey_xl;

  &:hover {
    background: $grey_s;
    cursor: pointer;
  }
}

.main-image {
  display: block;
  margin-top: 23px;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  height: 100%;
}



